CVE-2008-0630

NameCVE-2008-0630
DescriptionBuffer overflow in url.c in MPlayer 1.0rc2 and SVN before r25823 allows remote attackers to execute arbitrary code via a crafted URL that prevents the IPv6 parsing code from setting a pointer to NULL, which causes the buffer to be reused by the unescape code.
SourceCVE (at NVD; LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-1496-1, DTSA-114-1
NVD severitymedium (attack range: remote)
Debian Bugs464532

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mplayer (PTS)wheezy (security), wheezy2:1.0~rc4.dfsg1+svn34540-1+deb7u1fixed
stretch2:1.2.1-1fixed
sid2:1.3.0-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mplayersource(unstable)1.0~rc2-8medium464532
mplayersourceetch1.0~rc1-12etch2mediumDSA-1496-1
mplayersourcelenny1.0~rc2-7+lenny1mediumDTSA-114-1

Search for package or bug name: Reporting problems